org.apache.cassandra.triggers

## Class TriggerExecutor

- java.lang.Object
- - org.apache.cassandra.triggers.TriggerExecutor

    public class TriggerExecutor
    extends java.lang.Object

### Field Summary

Fields
`static TriggerExecutor` `instance`

### Method Summary

Methods
`java.util.Collection<RowMutation>` `execute(java.util.Collection<? extends IMutation> updates)`
`ITrigger` `loadTriggerInstance(java.lang.String triggerName)`
`void` `reloadClasses()` Reload the triggers which is already loaded, Invoking this will update the class loader so new jars can be loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final TriggerExecutor instance

### Method Detail

#### reloadClasses

    public void reloadClasses()

Reload the triggers which is already loaded, Invoking this will update the class loader so new jars can be loaded.

#### execute

    public java.util.Collection<RowMutation> execute(java.util.Collection<? extends IMutation> updates)
                                              throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### loadTriggerInstance

    public ITrigger loadTriggerInstance(java.lang.String triggerName)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`